org.apache.lucene.analysis.ja.dict

## Class TokenInfoFST

- java.lang.Object
- - org.apache.lucene.analysis.ja.dict.TokenInfoFST

    public final class TokenInfoFST
    extends Object

Thin wrapper around an FST with root-arc caching for Japanese.

Depending upon fasterButMoreRam, either just kana (191 arcs), or kana and han (28,607 arcs) are cached. The latter offers additional performance at the cost of more RAM.

### Field Summary

Fields
`Long` `NO_OUTPUT`

### Constructor Summary

Constructors
Constructor and Description
`TokenInfoFST(FST<Long> fst, boolean fasterButMoreRam)`

### Method Summary

Methods
`FST.Arc<Long>` `findTargetArc(int ch, FST.Arc<Long> follow, FST.Arc<Long> arc, boolean useCache, FST.BytesReader fstReader)`
`FST.BytesReader` `getBytesReader()`
`FST.Arc<Long>` `getFirstArc(FST.Arc<Long> arc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_OUTPUT

    public final Long NO_OUTPUT

### Constructor Detail

#### TokenInfoFST

    public TokenInfoFST(FST<Long> fst,
                boolean fasterButMoreRam)
                 throws IOException

Throws:
  `IOException`

### Method Detail

#### findTargetArc

    public FST.Arc<Long> findTargetArc(int ch,
                              FST.Arc<Long> follow,
                              FST.Arc<Long> arc,
                              boolean useCache,
                              FST.BytesReader fstReader)
                                throws IOException

Throws:
  `IOException`

#### getFirstArc

    public FST.Arc<Long> getFirstArc(FST.Arc<Long> arc)

#### getBytesReader

    public FST.BytesReader getBytesReader()